/*------------------------------------*\
    #Gallery with lightbox
\*------------------------------------*/
/**
 * gallery and lightbox component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}video,
%#{$inuit-namespace}video {
    overflow: hidden;
    &__imageholder {
       position:relative;
        display:inline-block;
        width:100%;
        @include epx-transition(all 300ms ease-in-out 0s);
        &:before {
            font-family:"FontAwesome";
            content:'\f144';
            font-size: 5rem;
            line-height: 3rem;
            color: #fff;
            position: absolute;
            z-index: 50;
            top: 46%;
            left: 48%;
            cursor:pointer;
        }
        video {
            width:100%;
            height:auto;
        }
        img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            display: block;
            object-fit: cover;
            @include epx-transition(all 300ms ease-in-out 0s);
        }
        &.play {
            &:before {
                content:none;
            }
            img {
                opacity:0;
                height:0;
                z-index:-1;
            }
        }
    }

}
